body {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

body {
	background-color: #333;
	margin: 0;
	padding: 0;
	border: 0;
	cursor: default;
}

div {
	margin: 0;
	padding: 0;
	border: 0;
	text-align: center;
}

.sizeAdj {
	top: 0px;
	left: 0px;
	width: 1600px;
	height: 870px;
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
	background-color: #000;
}
.sizeAdj.deb {
	left: -112px;
	width: 1120px;
	height: 735px;
	overflow: hidden;
}

.panel {
	display: block;
	position: absolute;
	top: 0;
	left:0;
	width: 1600px;
	height: 870px;
	font-family: 'Arial','Helvetica Neue','Robot', sans-serif;
	font-size: 18px;
	background-repeat: no-repeat;
	background-image: url(../image/body.png);
	background-position: 350px -38px;

}

.panelmask {
	position: absolute;
	top: 0px;
	left:350px;
	width: 319px;
	height: 773px;
	background-color: #000;
/*	display: none;*/
}
.panelmask2 {
	position: absolute;
	top: 711px;
	left:461px;
	width: 200px;
	height: 100px;
	background-color: #000;
/*	display: none;*/
}

.lens {
	position: absolute;
	top: 102px;
	left:-89px;
	width: 759px;
	height: 608px;
	background: no-repeat left;
	background-image: url("../image/lens.png");
/*	display: none;*/	
}
.lens div {
	width: 100%;
	height: 100%;
	backdrop-filter: blur(3px);
}

#viewf {
	position: absolute;
	top: 48px;
	left:66px;
	width: 700px;
	height: 421px;
	background-repeat: no-repeat;
	background-image: url(../image/tp.png);
	background-position: center;
	transform-origin: top left;
	transform: scale(1.2);
/*	display: none;*/
}

#btngpb {
	position: absolute;
	top: 0px;
	left: 672px;
	width: 928px;
	height: 870px;
/*	background-color: rgba(0,0,255,0.3);*/
}
#btngpv {
	position: absolute;
	top: 0px;
	left:0;
	width: 0px;
	height: 0px;
/*	background-color: rgba(0,0,255,0.3);*/
}

.button,.setbutton,.lock,.notimp {
	display: block;
	position: absolute;
	border: 0;
	z-index: 30;
	/*cursor: pointer;*/
/*	background-color: rgba(255,0,0,0.3);*/
}

.btnM.button {
	width: 90px;
	height: 30px;
	border-radius: 15px 15px;
}
.btnS.button {
	width: 56px;
	height: 56px;
	border-radius: 50%;
}
.btnR.button {
	width: 95px;
	height: 95px;
	border-radius: 50%;
}
.btnFU.button {
	width: 88px;
	height: 26px;
	border-radius: 5px 5px 10px 10px;
}
.btnFB.button {
	width: 88px;
	height: 26px;
	border-radius: 10px 10px 5px 5px;
}
.btnM.button.active {background-color: rgba(0,0,0,0.3);}
.btnS.button.active {background-color: rgba(0,0,0,0.3);}
.btnR.button.active {background-color: rgba(0,0,0,0.3);}
.btnFB.button.active {background-color: rgba(0,0,0,0.3);}
.btnFU.button.active {background-color: rgba(0,0,0,0.3);}
.btnS.button.wbtn.hover {background-color: rgba(255,0,0,0.3);}
.btnS.button.wbtn.active {background-color: rgba(0,0,0,0.3);}

#btn_set {
	width: 126px;
	height: 126px;
	border-radius: 50%;
	display: flex;
	justify-content: center;
	align-items: center;
	pointer-events: none;
	background-color: rgba(0,0,0,0);
}
#btn_set.active {background-color: rgba(0,0,0,0.3);}

#btn_set_active {
	width: 74px;
	height: 74px;
	border-radius: 50%;
	font-size: 22px;
	text-align: center;
	line-height: 74px;
	color: rgba(148,148,148,0);
	pointer-events: auto;
	/*cursor: pointer;*/
	/*background-color: rgba(0,0,255,0.3);*/
}
#btn_set_active.hover {color: rgba(148,148,148,1.0);}


#btn_lock {
	width: 70px;
	height: 55px;
	border-radius: 50%;
	background-image: none;
	background-repeat: no-repeat;
	background-position: 8px 13px;
}
#btn_lock.locked {
	background-image: url("../image/btn_lock.png");
}

.jog {
	position: absolute;
	border: 0;
	margin: 0;
	padding: 0;
	top: 533px;
	left: 205px;
	width: 200px;
	height: 200px;
	border-radius: 50%;
	/*background-color: rgba(0,255,0,0.3);*/
	background: no-repeat 75px 5px none;
	display: flex;
	justify-content: center;
	align-items: center;
}
.jog {
	cursor: grab;
	cursor: -moz-grab;
	cursor: -webkit-grab;
}
.jog.hover{
	background-image: url(../image/yajirushi.png);
}
.jog:active {
	cursor: -moz-grabbing;
	cursor: -webkit-grabbing;
	cursor: grabbing;
	/*background-image: none;*/
}
#jog {
	display: none;
    /*position: absolute;*/
    transform: rotate(0);
}

/*  multi selector */
.multiS {
	position: absolute;
	width: 80px;
	height: 80px;
}
#btn_ms1 {
	top: 561px;
	left: 55px;
}
#btn_ms2 {
	top: 168px;
	left: 33px;
}
.msbtn {
	position: absolute;
	top: 7px;
	left: 8px;
	width: 66px;
	height: 66px;
	background-repeat: no-repeat;
	background-position: center;
	background-image: url(../image/ms.png);
}
.msbtn > div {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 66px;
	height: 66px;
	border-radius: 50%;
}

.multiS:has(.btnMSU.active) > .msbtn {top: 2px;left: 8px;}
.multiS:has(.btnMSB.active) > .msbtn {top: 12px;left: 8px;}
.multiS:has(.btnMSL.active) > .msbtn {top: 7px;left: 3px;}
.multiS:has(.btnMSR.active) > .msbtn {top: 7px;left: 13px;}
.multiS:has(.btnMSS.active) > .msbtn > div {background-color: rgba(0,0,0,0.3);}

.btnMSU {
	top: 0px;
	left: 20px;
	width: 40px;
	height: 20px;
}
.btnMSB {
	top: 60px;
	left: 20px;
	width: 40px;
	height: 20px;
}
.btnMSL {
	top: 20px;
	left: 0px;
	width: 20px;
	height: 40px;
}
.btnMSR {
	top: 20px;
	left: 60px;
	width: 20px;
	height: 40px;
}
.btnMSS {
	top: 20px;
	left: 20px;
	width: 40px;
	height: 40px;
}


.lcd {
    position: absolute;
    top: 74px;
    left: 173px;
    height: 270px;
    width: 480px;
    overflow: hidden;
    background-color: #000;
}
.lcd_abs {
    position: absolute;
    top: 74px;
    left: 173px;
    height: 270px;
    width: 480px;
    overflow: hidden;
    pointer-events: none;
}

.popscreen {
	display: none;
    position: absolute;
    top: 74px;
    left: 173px;
    height: 270px;
    width: 480px;
    background-color: rgba(0,0,0,0.4);
}
.popscreen.active {
	display:block;
}

.msgbox {
	display: none;
	position: absolute;
	bottom: 20px;
    left: 20px;
	width: 600px;
	height: 50px;
	color: #fff;
}
.msgbox.active {
	display: block;
}

.debug {
	display: none;
	position: absolute;
	width: 250px;
	color: #000;
	background-color: #fff;
	font-size: 14px;
	overflow: auto;
}

.debugwindow {
	top: 600px;
    left: 130px;
    height: 130px;
}
.debugwindow p{width:100%;text-align: left;margin: 3px;}

.debug.screenName {
	top: 0px;
	left: 130px;
	height: 20px;
}
.debug.position {
	top: 0px;
	left: 390px;
	height: 20px;
}


/* audio switch C2022.02 */

#swc_audio {
	position: absolute;
	top: 877px;
	left: 736px;
	width: 90px;
	height: 40px;
	/*background-color: rgba(0,0,255,0.3);*/
}
#swc_audio div.button {
	top: 0px;
	height: 40px;
}
#swc_l {left: 0px;width: 35px;}
#swc_c {left: 35px;width: 20px;}
#swc_r {left: 55px;width: 35px;}
#swc_audio img {
	position: absolute;
	top: 9px;
}
#swc_audio.line img {left: 22px;}
#swc_audio.aes img {left: 35px;}
#swc_audio.mic img {left: 48px;}
#miclmp {
	position: absolute;
	top: 16px;
	left: 91px;
	width: 12px;
	height: 12px;
	border-radius: 6px;
}
#swc_audio.mic #miclmp.on {background-color: rgba(134, 177, 47, 0.8);}

#btn_power {
	position: absolute;
	top: 812px;
	left: 342px;
	width: 132px;
	height: 54px;
	border-radius: 27px;
}
#btn_audio {
	position: absolute;
	top: 538px;
	left: 554px;
	width: 210px;
	height: 214px;
	border-radius: 44px;
/*	background-color: rgba(255, 0, 0, 0.5);*/
}
#btn_ndva {
	position: absolute;
	top: 308px;
	left: 236px;
	width: 108px;
	height: 118px;
	border-radius: 14px;
/*	background-color: rgba(255, 0, 0, 0.5);*/
}
#btn_slotsel {
	position: absolute;
	top: 725px;
	left: 873px;
	width: 46px;
	height: 46px;
	border-radius: 23px;
/*	background-color: rgba(255, 0, 0, 0.5);*/
}
#btn_slotsel.active {background-color: rgba(0,0,0,0.3);}